Zum Hauptinhalt springen
POST
/
kling
/
motion
Kling Motion
curl --request POST \
  --url https://api.acedata.cloud/kling/motion \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "mode": "std",
  "image_url": "<string>",
  "video_url": "<string>",
  "character_orientation": "image",
  "keep_original_sound": "yes",
  "prompt": "White ceramic coffee mug on glossy marble countertop with morning window light. Camera slowly rotates 360 degrees around the mug, pausing briefly at the handle.",
  "callback_url": "<string>"
}
'
{
  "success": true,
  "video_id": "842566592663294013",
  "video_url": "https://v2-fdl.kechuangai.com/ksc2/Uq0-Nvwehv0OfWX88wao0lIWRw7m8OZOFVbUx7emXgf52nLYe1A1XKmZzlPJlKthP9ulPmnlp9jZ1_d3KEN_oljuVlOy0jSdYpzstoSRpAxZyh6tcgmNApY7JqOYmGFvR1AJfv7pTZHR1cgsZFQglp9QkxEX_EZQjoiaRw1u3uBihawIJP6wS-A1FoOCVqPo2vncHRudxFetv9s8lxknng.mp4?cacheKey=ChtzZWN1cml0eS5rbGluZy5tZXRhX2VuY3J5cHQSsAG04QEeevta2ygpiBWoFInQCl5nEOZkpcKIIdULwl5xJH3r5YMC1Mok8R1T4JzlzNZdJDfaeGxp-aCK8FfuI2HlhjPFobjmbi-TQMCMFGUL3xIgAMXDX2hN5EGCtc0dGOMZ_RwsUMSC4dgiw2ebjCdzTDiAXWCoYC8gz3Kq8zboA-yF8TRXOK_aysHmPO4PusaqMrIxNbCxoN6R5J_Eg1YZVhy5_gKAk8WvmUdBB7ErQxoSnEyggwjlEmAabESg8cJCaRyFIiA-rOZ14LVgXlPqzek71LpnPk6CuSZJ4HfD9-nnjya-pygFMAE&x-kcdn-pid=112757&pkey=AAWBVCuuLCmakFjOrVd_xYtFt4Y36y_ZaqKEI7nVItN41tGWBHbksySUGsh9OeNowY-KjdzIjpt9AvY0MxOFuJrfoW9Xk4CjCaaYWutmA0PJyx9mFZvZfWmII2NMTQlVWYM",
  "duration": "5.066",
  "state": "succeed",
  "task_id": "307c3359-f68a-44e1-bd3b-c5d5a2a2ca0a"
}

Autorisierungen

Authorization
string
header
erforderlich

Header

accept
enum<string>

Specifies the format of the response from the server, should be application/json.

Verfügbare Optionen:
application/json

Body

application/json
mode
enum<string>
erforderlich

Mode of generating video, optional, enumeration value: std (High performance) or pro (High performance). Default value is std.

Verfügbare Optionen:
std,
pro
image_url
string
erforderlich

Reference images: The characters, backgrounds and other elements in the generated video have all been based on the reference images.

video_url
string
erforderlich

Refer to the link for obtaining the video. The character movements in the generated video are consistent with those in the reference video.

character_orientation
enum<string>
erforderlich

The orientation of the characters in the generated video can be chosen to be consistent with the picture or the video.

Verfügbare Optionen:
image,
video
keep_original_sound
enum<string>

Whether to keep the original sound, optional, enumeration value: yes (keep) or no (remove). Default value is yes.

Verfügbare Optionen:
yes,
no
prompt
string

Text prompt words can contain both positive and negative descriptions.

Beispiel:

"White ceramic coffee mug on glossy marble countertop with morning window light. Camera slowly rotates 360 degrees around the mug, pausing briefly at the handle."

callback_url
string

The callback URL which will be called when the video is generated

Antwort

OK, the request is successful.

data
object

The output music items generated from the prompt

success
boolean

The flag indicates the request is successful or not